<?php

if( !function_exists( 'jm_get_application_default_fields' ) ) :
	function jm_get_application_default_fields() {
		$default_fields = array(
			'application_message' => array(
					'name' => 'application_message',
					'label' => esc_html__('Message', 'jmcore'),
					'type' => 'textarea',
					'allowed_type' => array(
						'textarea'			=> esc_html__('Textarea', 'jmcore')
					),
					'value' => esc_html__('Your cover letter/message sent to the employer', 'jmcore'),
					'is_default' => true,
					'required' => true
				),
            'phone_number'      => array(
                'name'  => 'phone_number',
                'label' => esc_html__('Phone Number', 'jmcore'),
                'type'  => 'text',
                'allewed_type'  => array(
                    'text'      => esc_html__('Text', 'jmcore')
                ),
                'value' => '',
                'is_default' => true,
                'required' => true
            ),
		);

		return apply_filters( 'jm_application_default_fields', $default_fields );
	}
endif;
