<?php

if( !function_exists('jm_resume_detail_template_package') ) :
    function jm_resume_detail_template_package() {
        $resume_template_package = array(
            'style-1' => esc_html__('Style 1', 'jmcore'),
            'style-2' => esc_html__('Style 2', 'jmcore'),
            'style-3' => esc_html__('Style 3', 'jmcore'),
            'style-4' => esc_html__('Style 4', 'jmcore'),
            'style-5' => esc_html__('Style 5', 'jmcore'),
        );
            noo_wc_wp_select_multiple(
                array(
                    'id' => '_resume_detail_template_package',
                    'label' => esc_html__('Resume Template', 'jmcore'),
                    'description' => esc_html__('Choose fields that come with this package', 'jmcore'),
                    'options' => $resume_template_package,
                    'desc_tip' => true,
                )
            );
    }

    add_action( 'noo_resume_package_data', 'jm_resume_detail_template_package' );
endif;

if( !function_exists('jm_resume_detail_template_package_save') ) :
    function jm_resume_detail_template_package_save($post_id) {
        // Save meta
        if( isset( $_POST[ '_resume_detail_template_package' ] ) ) {
            update_post_meta( $post_id, '_resume_detail_template_package', $_POST[ '_resume_detail_template_package' ] );
        }
    }

    add_action( 'noo_resume_package_save_data', 'jm_resume_detail_template_package_save' );
endif;

if( !function_exists('jm_resume_package_detail_template_user_data') ) :
    function jm_resume_package_detail_template_user_data( $data, $product ) {
        if( is_object( $product ) ) {
            $data['_resume_detail_template_package'] = $product->get_resume_detail_template_package();
        }

        return $data;
    }

    add_filter( 'jm_resume_package_user_data', 'jm_resume_package_detail_template_user_data', 10, 2 );
endif;